Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class JointMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.JointMS3D

    public class JointMS3D

extends java.lang.Object

A Joint stores everything about an animated bone (a joint that knows about its parent joint - the two endpoints make up a bone).

Version:
  0.1
Author:
  naj

Field Summary
`Matrix34f` | `absoluteMatrix` The original transformation of the joint.
`Matrix34f` | `finalMatrix` The final result of all transformations in the skeleton.
`int` | `flags` The flags in MS3D.
`java.lang.String` | `name` The name of the joint in MS3D.
`int` | `numberPosistionKeyframes` The number of position keyframes for the joint.
`int` | `numberRotationKeyframes` The number of position keyframes for the joint.
`int` | `parentIndex` The parent joint index.
`java.lang.String` | `parentName` The name of the parent joint in MS3D.
`KeyframeMS3D[]` | `positionKeys` The tranlation keyframes of the animation.
`float` | `posx` The local translation of the joint in 3D space.
`float` | `posy` The local translation of the joint in 3D space.
`float` | `posz` The local translation of the joint in 3D space.
`Matrix34f` | `relativeFinalMatrix` The helper matrix for calculating the final matrix.
`Matrix34f` | `relativeMatrix` The transformation of a joint from its parent.
`KeyframeMS3D[]` | `rotationKeys` The rotation keyframes of the animation.
`float` | `rotx` The local rotation of the joint in 3D space.
`float` | `roty` The local rotation of the joint in 3D space.
`float` | `rotz` The local rotation of the joint in 3D space.

Constructor Summary
`JointMS3D()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the joint in MS3D.

### parentName

    public java.lang.String parentName

  The name of the parent joint in MS3D.

### flags

    public int flags

  The flags in MS3D.

### posx

    public float posx

  The local translation of the joint in 3D space.

### posy

    public float posy

  The local translation of the joint in 3D space.

### posz

    public float posz

  The local translation of the joint in 3D space.

### rotx

    public float rotx

  The local rotation of the joint in 3D space.

### roty

    public float roty

  The local rotation of the joint in 3D space.

### rotz

    public float rotz

  The local rotation of the joint in 3D space.

### numberPosistionKeyframes

    public int numberPosistionKeyframes

  The number of position keyframes for the joint.

### numberRotationKeyframes

    public int numberRotationKeyframes

  The number of position keyframes for the joint.

### positionKeys

    public KeyframeMS3D[] positionKeys

  The tranlation keyframes of the animation.

### rotationKeys

    public KeyframeMS3D[] rotationKeys

  The rotation keyframes of the animation.

### relativeMatrix

    public Matrix34f relativeMatrix

  The transformation of a joint from its parent.

### absoluteMatrix

    public Matrix34f absoluteMatrix

  The original transformation of the joint.

### relativeFinalMatrix

    public Matrix34f relativeFinalMatrix

  The helper matrix for calculating the final matrix.

### finalMatrix

    public Matrix34f finalMatrix

  The final result of all transformations in the skeleton.

### parentIndex

    public int parentIndex

  The parent joint index.

Constructor Detail

### JointMS3D

    public JointMS3D()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD